Specifies the value to store in the Differentiated Services (DS) Field in the IP packet used to encapsulate the ping probe. The DS Field is defined as the Type of Service (TOS) octet in a IPv4 header or as the Traffic Class octet in a IPv6 header. The value of this object must be a decimal integer in the range from 0 to 255. This option can be used to determine what effect an explicit DS Field setting has on a ping response. Not all values are legal or meaningful. DS Field usage is often not supported by IP implementations and not all values are supported. Refer to RFC 2474 for guidance on usage of this field.
OID reference
pingCtlDSField
1.3.6.1.4.1.529.34.1.2.1.20
Description
Specifies the value to store in the Differentiated Services (DS) Field in the IP packet used to encapsulate the ping probe. The DS Field is defined as the Type of Service (TOS) octet in a IPv4 header or as the Traffic Class octet in a IPv6 header. The value of this object must be a decimal integer in the range from 0 …
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.529.34.1.2.1 (pingCtlEntry)
- Node code
- 20
- Node name
- pingCtlDSField
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.529.34.1.2.1.20
- URN notation
- urn:oid:1.3.6.1.4.1.529.34.1.2.1.20
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 529 34 1 2 1 20}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) suspectAccessResource(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) ascend(529) pingMIB(34) pingObjects(1) pingCtlTable(2) pingCtlEntry(1) pingCtlDSField(20)}
- Additional combinations skipped.
- OID-IRI notation
- /1/3/6/1/4/1/529/34/1/2/1/20
- /ISO/Identified-Organization/6/1/4/1/529/34/1/2/1/20
- /ISO/3/6/1/4/1/529/34/1/2/1/20
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/identified-organization/dod/internet/private/enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/identified-organization/dod/internet/private/enterprises/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/identified-organization/dod/internet/private/enterprises/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/identified-organization/dod/internet/private/ldap-enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/identified-organization/dod/internet/private/ldap-enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/identified-organization/dod/internet/private/vendor-objects/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/identified-organization/dod/internet/private/vendor-objects/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/org/dod/internet/private/enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/org/dod/internet/private/enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/org/dod/internet/private/enterprises/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/org/dod/internet/private/enterprises/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/org/dod/internet/private/ldap-enterprise/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/org/dod/internet/private/ldap-enterprise/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/org/dod/internet/private/vendor-objects/ascend/suspectAccessResource/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- /iso/org/dod/internet/private/vendor-objects/ascend/pingMIB/pingObjects/pingCtlTable/pingCtlEntry/pingCtlDSField
- Additional combinations skipped.
SNMP properties
- Value type
- Unsigned32
- Maximum access defined by MIB
- read-write
- Status in MIB
- mandatory
Using this OID with SNMP
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition. The index encoding is not inferred here.
Published row index: pingCtlOwnerIndex, pingCtlTestName.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.529.34.1.2.1.20
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
pingCtlDSField OBJECT-TYPE
SYNTAX Unsigned32 --(0..255)
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Specifies the value to store in the Differentiated
Services (DS) Field in the IP packet used to
encapsulate the ping probe. The DS Field is defined
as the Type of Service (TOS) octet in a IPv4 header
or as the Traffic Class octet in a IPv6 header.
The value of this object must be a decimal integer
in the range from 0 to 255. This option can be used
to determine what effect an explicit DS Field setting
has on a ping response. Not all values are legal or
meaningful. DS Field usage is often not supported
by IP implementations and not all values are supported.
Refer to RFC 2474 for guidance on usage of this field."
REFERENCE
"Refer to RFC 2474 for the definition of the
Differentiated Services Field and to RFC 1812
Section 5.3.2 for Type of Service (TOS)."
-- DEFVAL { 0 }
::= { pingCtlEntry 20 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1MIBdepot
pingCtlDSField · mandatoryMIBdepot
Status in source: mandatory.
Names: pingCtlDSField
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"pingCtlDSField",
"OBJECT-TYPE",
"SYNTAX",
"Unsigned32",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Specifies the value to store in the Differentiated Services (DS) Field in the IP packet used to encapsulate the ping probe. The DS Field is defined as the Type of Service (TOS) octet in a IPv4 header or as the Traffic Class octet in a IPv6 header. The value of this object must be a decimal integer in the range from 0 to 255. This option can be used to determine what effect an explicit DS Field setting has on a ping response. Not all values are legal or meaningful. DS Field usage is often not supported by IP implementations and not all values are supported. Refer to RFC 2474 for guidance on usage of this field.\"",
"REFERENCE",
"\"Refer to RFC 2474 for the definition of the Differentiated Services Field and to RFC 1812 Section 5.3.2 for Type of Service (TOS).\"",
"::=",
"{",
"pingCtlEntry",
"20",
"}"
],
"syntax_tree": [
[
"ApplicationSyntax",
"Unsigned32"
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Specifies the value to store in the Differentiated Services (DS) Field in the IP packet used to encapsulate the ping probe. The DS Field is defined as the Type of Service (TOS) octet in a IPv4 header or as the Traffic Class octet in a IPv6 header. The value of this object must be a decimal integer in the range from 0 to 255. This option can be used to determine what effect an explicit DS Field setting has on a ping response. Not all values are legal or meaningful. DS Field usage is often not supported by IP implementations and not all values are supported. Refer to RFC 2474 for guidance on usage of this field."
],
[
"REFERENCE",
"Refer to RFC 2474 for the definition of the Differentiated Services Field and to RFC 1812 Section 5.3.2 for Type of Service (TOS)."
],
null,
null,
null
]
}- Preserved mibdepot archive
Module: DISMAN-PING-MIB
See published definition above
· Download ping.mib.txtModule imports
{'IF-MIB': ['InterfaceIndexOrZero'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'ASCEND-MIB': ['pingMIB'], 'SNMPv2-SMI-v1': ['Integer32', 'Counter32', 'Unsigned32', 'RowStatus', 'StorageType', 'TruthValue', 'DateAndTime'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
Historical records
Additional source information
Information from OID Repository
Module: DISMAN-PING-MIB (ping.mib)
Type: TABULAR
Access: read-write
Syntax: Unsigned32
Automatically extracted from www.mibdepot.com
Siblings (20)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.529.34.1.2.1.1 | pingCtlOwnerIndex | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.2 | pingCtlTestName | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.3 | pingCtlTargetAddressType | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.4 | pingCtlTargetAddress | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.5 | pingCtlDataSize | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.6 | pingCtlTimeOut | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.7 | pingCtlProbeCount | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.8 | pingCtlAdminStatus | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.9 | pingCtlDataFill | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.10 | pingCtlFrequency | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.11 | pingCtlMaxRows | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.12 | pingCtlStorageType | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.13 | pingCtlTrapGeneration | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.14 | pingCtlTrapFilter | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.15 | pingCtlType | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.16 | pingCtlDescr | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.17 | pingCtlSourceAddress | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.18 | pingCtlIfIndex | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.19 | pingCtlByPassRouteTable | 0 | 0 | |
| 1.3.6.1.4.1.529.34.1.2.1.21 | pingCtlRowStatus | 0 | 0 |